.TH "orte_gpr_trigger_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_gpr_trigger_t \- Structure for registering triggers A trigger causes the associated subscriptions to be executed at a specified event, such as when counters reach specified values.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <gpr_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIMakes this an object. \fP"
.ti -1c
.RI "char * \fBname\fP"
.br
.RI "\fIA unique name for this trigger - can be NULL. \fP"
.ti -1c
.RI "orte_gpr_trigger_id_t \fBid\fP"
.br
.RI "\fIid number of this trigger, as assigned by system \fP"
.ti -1c
.RI "orte_gpr_trigger_action_t \fBaction\fP"
.br
.RI "\fItrigger characteristics \fP"
.ti -1c
.RI "size_t \fBcnt\fP"
.br
.RI "\fINumber of values included. \fP"
.ti -1c
.RI "\fBorte_gpr_value_t\fP ** \fBvalues\fP"
.br
.RI "\fIContiguous array of pointers to value objects describing the objects to be monitored. \fP"
.ti -1c
.RI "\fBorte_gpr_trigger_cb_fn_t\fP \fBcbfunc\fP"
.br
.RI "\fIthe callback function \fP"
.ti -1c
.RI "void * \fBuser_tag\fP"
.br
.RI "\fIUser-provided tag to be used in cbfunc. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for registering triggers A trigger causes the associated subscriptions to be executed at a specified event, such as when counters reach specified values. 

The data provided here specifies which objects on the registry are to be monitored, and what conditions must exist between those objects for the trigger to be 'fired'. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
